(* File generated from newt_int.idl *)

type newtColorSet =
  | NEWT_COLORSET_ROOT
  | NEWT_COLORSET_BORDER
  | NEWT_COLORSET_WINDOW
  | NEWT_COLORSET_SHADOW
  | NEWT_COLORSET_TITLE
  | NEWT_COLORSET_BUTTON
  | NEWT_COLORSET_ACTBUTTON
  | NEWT_COLORSET_CHECKBOX
  | NEWT_COLORSET_ACTCHECKBOX
  | NEWT_COLORSET_ENTRY
  | NEWT_COLORSET_LABEL
  | NEWT_COLORSET_LISTBOX
  | NEWT_COLORSET_ACTLISTBOX
  | NEWT_COLORSET_TEXTBOX
  | NEWT_COLORSET_ACTTEXTBOX
  | NEWT_COLORSET_HELPLINE
  | NEWT_COLORSET_ROOTTEXT
  | NEWT_COLORSET_EMPTYSCALE
  | NEWT_COLORSET_FULLSCALE
  | NEWT_COLORSET_DISENTRY
  | NEWT_COLORSET_COMPACTBUTTON
  | NEWT_COLORSET_ACTSELLISTBOX
  | NEWT_COLORSET_SELLISTBOX
and newtColors = {
  rootFg: string;
  rootBg: string;
  borderFg: string;
  borderBg: string;
  windowFg: string;
  windowBg: string;
  shadowFg: string;
  shadowBg: string;
  titleFg: string;
  titleBg: string;
  buttonFg: string;
  buttonBg: string;
  actButtonFg: string;
  actButtonBg: string;
  checkboxFg: string;
  checkboxBg: string;
  actCheckboxFg: string;
  actCheckboxBg: string;
  entryFg: string;
  entryBg: string;
  labelFg: string;
  labelBg: string;
  listboxFg: string;
  listboxBg: string;
  actListboxFg: string;
  actListboxBg: string;
  textboxFg: string;
  textboxBg: string;
  actTextboxFg: string;
  actTextboxBg: string;
  helpLineFg: string;
  helpLineBg: string;
  rootTextFg: string;
  rootTextBg: string;
  emptyScale: string;
  fullScale: string;
  disabledEntryFg: string;
  disabledEntryBg: string;
  compactButtonFg: string;
  compactButtonBg: string;
  actSelListboxFg: string;
  actSelListboxBg: string;
  selListboxFg: string;
  selListboxBg: string;
}
and newtFlagsSense =
  | NEWT_FLAGS_SET
  | NEWT_FLAGS_RESET
  | NEWT_FLAGS_TOGGLE
and newtComponent
and newtExitStructReason =
  | NEWT_EXIT_HOTKEY
  | NEWT_EXIT_COMPONENT
  | NEWT_EXIT_FDREADY
  | NEWT_EXIT_TIMER
and union_6 =
  | NEWT_EXIT_TIMER of int
  | NEWT_EXIT_HOTKEY of int
  | NEWT_EXIT_COMPONENT of newtComponent
and newtExitStruct = union_6
and newtGrid
and newtGridElement =
  | NEWT_GRID_EMPTY
  | NEWT_GRID_COMPONENT
  | NEWT_GRID_SUBGRID


(** Newt_int is the internal, unsafe module for access to the newt
    text window system. You should not use this directly. Instead
    use the {!Newt} module for safe access.
*)
val nEWT_FLAG_RETURNEXIT : int
val nEWT_FLAG_HIDDEN : int
val nEWT_FLAG_SCROLL : int
val nEWT_FLAG_DISABLED : int
val nEWT_FLAG_BORDER : int
val nEWT_FLAG_WRAP : int
val nEWT_FLAG_NOF12 : int
val nEWT_FLAG_MULTIPLE : int
val nEWT_FLAG_SELECTED : int
val nEWT_FLAG_CHECKBOX : int
val nEWT_FLAG_PASSWORD : int
val nEWT_FLAG_SHOWCURSOR : int
val nEWT_FD_READ : int
val nEWT_FD_WRITE : int
val nEWT_FD_EXCEPT : int
val nEWT_CHECKBOXTREE_UNSELECTABLE : int
val nEWT_CHECKBOXTREE_HIDE_BOX : int
val nEWT_CHECKBOXTREE_COLLAPSED : char
val nEWT_CHECKBOXTREE_EXPANDED : char
val nEWT_CHECKBOXTREE_UNSELECTED : char
val nEWT_CHECKBOXTREE_SELECTED : char
external newtInit : unit -> int
	= "camlidl_newt_int_newtInit"

external newtFinished : unit -> int
	= "camlidl_newt_int_newtFinished"

external newtCls : unit -> unit
	= "camlidl_newt_int_newtCls"

external newtResizeScreen : int -> unit
	= "camlidl_newt_int_newtResizeScreen"

external newtWaitForKey : unit -> unit
	= "camlidl_newt_int_newtWaitForKey"

external newtClearKeyBuffer : unit -> unit
	= "camlidl_newt_int_newtClearKeyBuffer"

external newtDelay : int -> unit
	= "camlidl_newt_int_newtDelay"

external newtOpenWindow : int -> int -> int -> int -> string -> int
	= "camlidl_newt_int_newtOpenWindow"

external newtCenteredWindow : int -> int -> string -> int
	= "camlidl_newt_int_newtCenteredWindow"

external newtPopWindow : unit -> unit
	= "camlidl_newt_int_newtPopWindow"

external newtPopWindowNoRefresh : unit -> unit
	= "camlidl_newt_int_newtPopWindowNoRefresh"

external newtSetColors : newtColors -> unit
	= "camlidl_newt_int_newtSetColors"

external newtSetColor : newtColorSet -> string -> string -> unit
	= "camlidl_newt_int_newtSetColor"

external newtRefresh : unit -> unit
	= "camlidl_newt_int_newtRefresh"

external newtSuspend : unit -> unit
	= "camlidl_newt_int_newtSuspend"

external newtResume : unit -> int
	= "camlidl_newt_int_newtResume"

external newtPushHelpLine : string -> unit
	= "camlidl_newt_int_newtPushHelpLine"

external newtRedrawHelpLine : unit -> unit
	= "camlidl_newt_int_newtRedrawHelpLine"

external newtPopHelpLine : unit -> unit
	= "camlidl_newt_int_newtPopHelpLine"

external newtDrawRootText : int -> int -> string -> unit
	= "camlidl_newt_int_newtDrawRootText"

external newtBell : unit -> unit
	= "camlidl_newt_int_newtBell"

external newtCursorOff : unit -> unit
	= "camlidl_newt_int_newtCursorOff"

external newtCursorOn : unit -> unit
	= "camlidl_newt_int_newtCursorOn"

external newtCompactButton : int -> int -> string -> newtComponent
	= "camlidl_newt_int_newtCompactButton"

external newtButton : int -> int -> string -> newtComponent
	= "camlidl_newt_int_newtButton"

external newtCheckboxGetValue : newtComponent -> char
	= "camlidl_newt_int_newtCheckboxGetValue"

external newtCheckboxSetValue : newtComponent -> char -> unit
	= "camlidl_newt_int_newtCheckboxSetValue"

external newtCheckboxSetFlags : newtComponent -> int -> newtFlagsSense -> unit
	= "camlidl_newt_int_newtCheckboxSetFlags"

external newtRadioGetCurrent : newtComponent -> newtComponent
	= "camlidl_newt_int_newtRadioGetCurrent"

external newtGetScreenSize : unit -> int * int
	= "camlidl_newt_int_newtGetScreenSize"

external newtLabel : int -> int -> string -> newtComponent
	= "camlidl_newt_int_newtLabel"

external newtLabelSetText : newtComponent -> string -> unit
	= "camlidl_newt_int_newtLabelSetText"

external newtVerticalScrollbar : int -> int -> int -> newtColorSet -> newtColorSet -> newtComponent
	= "camlidl_newt_int_newtVerticalScrollbar"

external newtScrollbarSet : newtComponent -> int -> int -> unit
	= "camlidl_newt_int_newtScrollbarSet"

external newtListbox : int -> int -> int -> int -> newtComponent
	= "camlidl_newt_int_newtListbox"

external newtListboxSetCurrent : newtComponent -> int -> unit
	= "camlidl_newt_int_newtListboxSetCurrent"

external newtListboxSetEntry : newtComponent -> int -> string -> unit
	= "camlidl_newt_int_newtListboxSetEntry"

external newtListboxSetWidth : newtComponent -> int -> unit
	= "camlidl_newt_int_newtListboxSetWidth"

external newtListboxClear : newtComponent -> unit
	= "camlidl_newt_int_newtListboxClear"

external newtListboxClearSelection : newtComponent -> unit
	= "camlidl_newt_int_newtListboxClearSelection"

external newtListboxItemCount : newtComponent -> int
	= "camlidl_newt_int_newtListboxItemCount"

external newtCheckboxTree : int -> int -> int -> int -> newtComponent
	= "camlidl_newt_int_newtCheckboxTree"

external newtCheckboxTreeMulti : int -> int -> int -> string -> int -> newtComponent
	= "camlidl_newt_int_newtCheckboxTreeMulti"

external newtCheckboxTreeSetWidth : newtComponent -> int -> unit
	= "camlidl_newt_int_newtCheckboxTreeSetWidth"

external newtTextboxReflowed : int -> int -> string -> int -> int -> int -> int -> newtComponent
	= "camlidl_newt_int_newtTextboxReflowed_bytecode" "camlidl_newt_int_newtTextboxReflowed"

external newtTextbox : int -> int -> int -> int -> int -> newtComponent
	= "camlidl_newt_int_newtTextbox"

external newtTextboxSetText : newtComponent -> string -> unit
	= "camlidl_newt_int_newtTextboxSetText"

external newtTextboxSetHeight : newtComponent -> int -> unit
	= "camlidl_newt_int_newtTextboxSetHeight"

external newtTextboxGetNumLines : newtComponent -> int
	= "camlidl_newt_int_newtTextboxGetNumLines"

external newtReflowText : string -> int -> int -> int -> string * int * int
	= "camlidl_newt_int_newtReflowText"

external newtFormSetTimer : newtComponent -> int -> unit
	= "camlidl_newt_int_newtFormSetTimer"

external newtFormWatchFd : newtComponent -> int -> int -> unit
	= "camlidl_newt_int_newtFormWatchFd"

external newtFormSetSize : newtComponent -> unit
	= "camlidl_newt_int_newtFormSetSize"

external newtFormGetCurrent : newtComponent -> newtComponent
	= "camlidl_newt_int_newtFormGetCurrent"

external newtFormSetBackground : newtComponent -> int -> unit
	= "camlidl_newt_int_newtFormSetBackground"

external newtFormSetCurrent : newtComponent -> newtComponent -> unit
	= "camlidl_newt_int_newtFormSetCurrent"

external newtFormAddComponent : newtComponent -> newtComponent -> unit
	= "camlidl_newt_int_newtFormAddComponent"

external newtFormSetHeight : newtComponent -> int -> unit
	= "camlidl_newt_int_newtFormSetHeight"

external newtFormSetWidth : newtComponent -> int -> unit
	= "camlidl_newt_int_newtFormSetWidth"

external newtFormRun : newtComponent -> newtExitStruct
	= "camlidl_newt_int_newtFormRun"

external newtDrawForm : newtComponent -> unit
	= "camlidl_newt_int_newtDrawForm"

external newtFormAddHotKey : newtComponent -> int -> unit
	= "camlidl_newt_int_newtFormAddHotKey"

external newtEntry : int -> int -> string -> int -> char option option -> int -> newtComponent
	= "camlidl_newt_int_newtEntry_bytecode" "camlidl_newt_int_newtEntry"

external newtEntrySet : newtComponent -> string -> bool -> unit
	= "camlidl_newt_int_newtEntrySet"

external newtEntryGetValue : newtComponent -> string
	= "camlidl_newt_int_newtEntryGetValue"

external newtEntrySetFlags : newtComponent -> int -> newtFlagsSense -> unit
	= "camlidl_newt_int_newtEntrySetFlags"

external newtScale : int -> int -> int -> int64 -> newtComponent
	= "camlidl_newt_int_newtScale"

external newtScaleSet : newtComponent -> int64 -> unit
	= "camlidl_newt_int_newtScaleSet"

external newtComponentTakesFocus : newtComponent -> bool -> unit
	= "camlidl_newt_int_newtComponentTakesFocus"

external newtFormDestroy : newtComponent -> unit
	= "camlidl_newt_int_newtFormDestroy"

external newtComponentDestroy : newtComponent -> unit
	= "camlidl_newt_int_newtComponentDestroy"

val nEWT_KEY_TAB : int
val nEWT_KEY_ENTER : int
val nEWT_KEY_RETURN : int
val nEWT_KEY_SUSPEND : int
val nEWT_KEY_ESCAPE : int
val nEWT_KEY_EXTRA_BASE : int
val nEWT_KEY_UP : int
val nEWT_KEY_DOWN : int
val nEWT_KEY_LEFT : int
val nEWT_KEY_RIGHT : int
val nEWT_KEY_BKSPC : int
val nEWT_KEY_DELETE : int
val nEWT_KEY_HOME : int
val nEWT_KEY_END : int
val nEWT_KEY_UNTAB : int
val nEWT_KEY_PGUP : int
val nEWT_KEY_PGDN : int
val nEWT_KEY_INSERT : int
val nEWT_KEY_F1 : int
val nEWT_KEY_F2 : int
val nEWT_KEY_F3 : int
val nEWT_KEY_F4 : int
val nEWT_KEY_F5 : int
val nEWT_KEY_F6 : int
val nEWT_KEY_F7 : int
val nEWT_KEY_F8 : int
val nEWT_KEY_F9 : int
val nEWT_KEY_F10 : int
val nEWT_KEY_F11 : int
val nEWT_KEY_F12 : int
val nEWT_KEY_RESIZE : int
val nEWT_ANCHOR_LEFT : int
val nEWT_ANCHOR_RIGHT : int
val nEWT_ANCHOR_TOP : int
val nEWT_ANCHOR_BOTTOM : int
val nEWT_GRID_FLAG_GROWX : int
val nEWT_GRID_FLAG_GROWY : int
external newtCreateGrid : int -> int -> newtGrid
	= "camlidl_newt_int_newtCreateGrid"

external newtGridBasicWindow : newtComponent -> newtGrid -> newtGrid -> newtGrid
	= "camlidl_newt_int_newtGridBasicWindow"

external newtGridSimpleWindow : newtComponent -> newtComponent -> newtGrid -> newtGrid
	= "camlidl_newt_int_newtGridSimpleWindow"

external newtGridPlace : newtGrid -> int -> int -> unit
	= "camlidl_newt_int_newtGridPlace"

external newtGridFree : newtGrid -> int -> unit
	= "camlidl_newt_int_newtGridFree"

external newtGridGetSize : newtGrid -> int option -> int option -> unit
	= "camlidl_newt_int_newtGridGetSize"

external newtGridWrappedWindow : newtGrid -> string -> unit
	= "camlidl_newt_int_newtGridWrappedWindow"

external newtGridWrappedWindowAt : newtGrid -> string -> int -> int -> unit
	= "camlidl_newt_int_newtGridWrappedWindowAt"

external newtGridAddComponentsToForm : newtGrid -> newtComponent -> int -> unit
	= "camlidl_newt_int_newtGridAddComponentsToForm"


val newtCheckbox : int -> int -> string -> char -> string option -> newtComponent

val newtRadiobutton : int -> int -> string -> bool -> newtComponent option -> newtComponent

val newtListboxGetCurrent : newtComponent -> int option
val newtListboxSetCurrentByKey : newtComponent -> int -> unit
val newtListboxSetData : newtComponent -> int -> int -> unit
val newtListboxAppendEntry : newtComponent -> string -> int -> int
val newtListboxInsertEntry : newtComponent -> string -> int -> int option -> int
val newtListboxDeleteEntry : newtComponent -> int -> int
val newtListboxGetEntry : newtComponent -> int -> string * int
val newtListboxGetSelection : newtComponent -> int array
val newtListboxSelectItem : newtComponent -> int -> newtFlagsSense -> unit

val newtForm : newtComponent option -> string option -> int -> newtComponent
val newtRunForm : newtComponent -> newtComponent option

val newtComponentAddCallback : newtComponent -> (unit -> unit) -> unit

val newtComponentAddress : newtComponent -> int64

